1. API Endpoints
Pix2DePix API
  • 📜 API Overview
  • Docs
    • 🔑 Authentication
    • 💻 Examples
    • 🪝 Webhook
    • ✅ Possible Statuses
      • 📥💰 Deposit Statuses
      • 📤💸 Withdraw Statuses
    • 🛡️ Security & Limits
      • ✅ Best Practices
      • 🪲 Bug Bounty
      • 🧱 Firewall
      • 🚦 API Limits
    • 🧩 Advanced (optional)
      • 🎲 Nonce
      • 🔀 Sync / Async call
    • 🚀 Features
      • ⏱️ QR Delay
      • 💬 Pix Messaging
      • 🔐 Pix2FA
  • API Endpoints
    • Ping
      GET
    • Deposit (PIX ➔ DePix)
      POST
    • Deposit Status
      GET
    • Deposits
      GET
    • User Info
      GET
    • Pix2FA
      POST
    • Withdraw
      POST
    • Withdraw Status
      GET
  • Schemas
    • AsyncResponse
    • AllPossibleObjResponses
    • StandardResponse
    • PingObjOrError
    • JWTClaims
    • ObjResponse
    • ErrorObj
    • PingObj
    • ErrorResponse
    • DepositRequest
    • DepositObjOrError
    • DepositObj
    • PingResponse
    • DepositResponse
    • DepositStatusObj
    • DepositStatusResponse
    • DepositWebhookBody
    • DepositsResponse
    • DepositStatus
    • UserInfoResponse
    • Pix2FAResponse
    • WithdrawStatusResponse
    • WithdrawStatusObj
    • WithdrawResponse
    • WithdrawObj
    • WithdrawStatus
    • WithdrawWebhookBody
    • MEDWebhookBody
  1. API Endpoints

Withdraw

POST
withdraw

How to use this API correctly#

Use EXACTLY ONE of the following amount parameters:
Only depositAmountInCents if you want to specify the amount you want to send in DePix.
OR only payoutAmountInCents if you want to specify the amount you want to receive in Pix (Reais).
By sending one of the two parameters, the other will be automatically calculated according to our fees and will be returned in the response.
It is not possible to use both amount parameters in the same request, and you cannot leave both empty.
From 01/05/2026, all withdrawal requests must include the beneficiary identification.
You must send at least one of the following identification parameters:
taxNumber: the CPF or CNPJ of the Pix key owner.
euid: the Eulen User Identification.
The request will be rejected if neither taxNumber nor euid is provided.
If both taxNumber and euid are provided, the informed taxNumber must match the corresponding euid. If they do not match, the request will be rejected.
The Pix key must belong to the informed taxNumber.
If the Pix key ownership does not match the provided identification, the withdrawal may be automatically rejected by the banking system.
Never ever deposit after the expiration date.
YOU WILL LOSE YOUR FUNDS!

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Example
{
    "pixKey": "example@example.com",
    "depositAmountInCents": 124647,
    "payoutAmountInCents": 123400,
    "taxNumber": "00000000000",
    "euid": "EU000000000000000"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://depix.eulen.app/api/withdraw' \
--header 'X-Nonce;' \
--header 'X-Async: auto' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "pixKey": "example@example.com",
    "depositAmountInCents": 124647,
    "payoutAmountInCents": 123400,
    "taxNumber": "00000000000",
    "euid": "EU000000000000000"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "withdrawalId": "string",
    "depositAddress": "string",
    "depositAmountInCents": 0,
    "payoutAmountInCents": 0
}
Modified at 2026-04-27 16:13:59
Previous
Pix2FA
Next
Withdraw Status
Built with